LaTeX forum ⇒ KileInstalling the old version of kile (2.1.3) in Ubuntu 18.04

Information and discussion about Kile, an integrated LaTeX environment for Linux KDE
Protágoras
Posts: 1
Joined: Sun Jun 30, 2019 1:49 pm

Installing the old version of kile (2.1.3) in Ubuntu 18.04

Postby Protágoras » Sun Jun 30, 2019 2:55 pm

Hello everybody!

I tried installing the old version of kile (2.1.3) in ubuntu 18.04, because every time Ubuntu is updated, the beta version gets install by default. I really don't like the version beta-2 of kile because it doesn't have a correct orthographic dictionary package and the IDE is don't good.

So I downloaded the package .tar from the kile website following the instructions, the problem is that it requires to install KDE 4.4 and shows the following error message:

Code: [Select all] [Expand/Collapse] [Download] ({untitled.tex})
  1. DCMAKE_INSTALL_PREFIX=$HOME/kile-install -DCMAKE_BUILD_TYPE="Debug"
  2. -- The C compiler identification is GNU 7.3.0
  3. -- The CXX compiler identification is GNU 7.3.0
  4. -- Check for working C compiler: /usr/bin/cc
  5. -- Check for working C compiler: /usr/bin/cc -- works
  6. -- Detecting C compiler ABI info
  7. -- Detecting C compiler ABI info - done
  8. -- Detecting C compile features
  9. -- Detecting C compile features - done
  10. -- Check for working CXX compiler: /usr/bin/c++
  11. -- Check for working CXX compiler: /usr/bin/c++ -- works
  12. -- Detecting CXX compiler ABI info
  13. -- Detecting CXX compiler ABI info - done
  14. -- Detecting CXX compile features
  15. -- Detecting CXX compile features - done
  16. CMake Error at /usr/share/cmake-3.10/Modules/FindKDE4.cmake:60 (message):
  17. ERROR: Could not find KDE4 kde4-config
  18. Call Stack (most recent call first):
  19. CMakeLists.txt:5 (find_package)
  20.  
  21.  
  22. -- Configuring incomplete, errors occurred!
  23. See also "/kile-install/kile-2.1.3/build/CMakeFiles/CMakeOutput.log".



I appreciate if anyone could help me installing KDE-4.4 or tell me how to install the old version the kile.

Thanks!!

User avatar
Johannes_B
Site Moderator
Posts: 4044
Joined: Thu Nov 01, 2012 4:08 pm

Postby Johannes_B » Sun Jun 30, 2019 3:27 pm

This is more of an Ubuntu question, rather than LaTeX.

I guess you will have more luck on askubuntu.com.
Please crosslink your questions.
The smart way: Calm down and take a deep breath, read posts and provided links attentively, try to understand and ask if necessary.


Return to “Kile”

Who is online

Users browsing this forum: No registered users and 2 guests